@import "src/styles/variables";

$dropdown-height: 48px !default;
$dropdown-padding: 12px !default;

$dropdown-background-color: $color-white !default;
$dropdown-background-color-hover: $color-grey !default;
$dropdown-border-color: $color-grey-light !default;
$dropdown-border-color-hover: $color-grey !default;
$dropdown-text-color: $color-grey !default;

.dropdown {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: $dropdown-height;
  border-radius: 24px;
  border: 1px solid $dropdown-border-color;
  padding: 0 ($dropdown-padding * 2);
  outline: none;
  cursor: pointer;

  &--opened {
    border-radius: 24px 24px 0 0;
    background: $dropdown-background-color;
    border-bottom: none;
    box-shadow: 0 -32px 32px -12px rgba(0, 0, 0, 0.1);
  }

  &__selected-value {
    color: $color-black;
  }

  &__divider {
    display: block;
    border-top: 1px solid $dropdown-border-color;
    width: 100%;
    position: absolute;
    top: calc(#{$dropdown-height - 1px});
    z-index: 2;
  }

  &__divider {
    display: block;
    border-top: 1px solid $dropdown-border-color;
    width: 100%;
    position: absolute;
    top: calc(#{$dropdown-height - 1px});
    z-index: 2;
  }

  &__item {
    display: flex;
    align-items: center;
    cursor: pointer;
    padding: $dropdown-padding ($dropdown-padding * 2);
    text-decoration: inherit;
    color: inherit;

    &:visited {
      text-decoration: inherit;
      color: inherit;
    }

    &:hover:not(.dropdown__item--active) {
      font-weight: 500;
      background-color: $color-grey-lighter;

      &:last-child {
        border-radius: 0 0 24px 24px;
      }
    }

    &--active {
      font-weight: 500;
      background: $color-grey-dark;
      color: $color-white;

      &:last-child {
        border-radius: 0 0 24px 24px;
      }
    }
  }

  &__content {
    display: block;
    position: absolute;
    z-index: 1;
    background-color: $dropdown-background-color;
    min-width: 160px;
    max-height: 380px;
    width: 100%;
    box-shadow: 0 32px 32px (-12px) rgba(0, 0, 0, 0.1);
    border-radius: 0 0 24px 24px;
    top: $dropdown-height;
    left: 0;
    opacity: 0;
    transform: scaleY(0);
    transform-origin: top;
    transition-property: transform, opacity;
    transition-duration: 300ms;
    transition-timing-function: cubic-bezier(0.1, 0.6, 0.4, 1);
    overflow-x: hidden;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    -ms-overflow-style: -ms-autohiding-scrollbar;
    scrollbar-width: thin;
    scrollbar-color: $color-grey-dark $color-black;

    &::-webkit-scrollbar-track {
      background-color: $color-grey-dark;
      border-radius: 6px;
    }

    &::-webkit-scrollbar {
      width: 6px;
    }

    &::-webkit-scrollbar-thumb {
      background-color: $color-black;
      border-radius: 6px;
    }

    &--visible {
      opacity: 1;
      transform: scaleY(1);
      border: 1px solid $dropdown-border-color;
      border-top: none;
      padding-top: 1px; // necessary to do not be on hover the divider
    }
  }
}
